Skip to main content
POST
/
payment
/
intents
/
{paymentIntentId}
/
reconcile
Reconcile a payment intent
curl --request POST \
  --url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/reconcile \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "id": "<string>",
    "payment_intent_id": "<string>",
    "payment_attempt_id": "<string>",
    "before": {},
    "after": {},
    "attempts": {},
    "completed_at": "<string>",
    "created_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Project secret key, e.g. sk_live_..., sent as Authorization: Bearer sk_....

Headers

X-Idempotency-Key
string

Safely retry a write without duplicating it. 8-128 chars.

Required string length: 8 - 128

Path Parameters

paymentIntentId
string
required

Public payment intent id, e.g. TRX....

Response

OK

message
string
data
object